Bug 1001961 - Wrong obsoletes in krb5-pkinit-openssl
Wrong obsoletes in krb5-pkinit-openssl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: krb5 (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Nalin Dahyabhai
David Spurek
:
Depends On:
Blocks: 1061410
  Show dependency treegraph
 
Reported: 2013-08-28 04:14 EDT by Tuomo Soini
Modified: 2015-03-02 00:28 EST (History)
5 users (show)

See Also:
Fixed In Version: krb5-1.10.3-19.el6
Doc Type: Bug Fix
Doc Text:
Cause: Due to a packaging error, the krb5-pkinit-openssl package incorrectly claimed to obsolete older versions of itself. Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 04:08:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tuomo Soini 2013-08-28 04:14:50 EDT
Description of problem:

This changelog tells it all:

* Thu Aug 30 2012 Nalin Dahyabhai <nalin@redhat.com> 1.10.3-2
- undo rename from krb5-pkinit-openssl to krb5-pkinit on EL6
- version the Obsoletes: on the krb5-pkinit-openssl to krb5-pkinit rename
- reintroduce the init scripts for non-systemd releases
- forward-port %%{?_rawbuild} annotations from EL6 packaging

The rename was undone but obsoletes was not undone. These lines should be removed from krb5.spec:

%if 0%{?fedora} >= 17 || 0%{?rhel} >= 6
Obsoletes: krb5-pkinit-openssl < %{version}-%{release}
Provides: krb5-pkinit-openssl = %{version}-%{release}
%endif

Logics is correctly on fedora spec where rename of the package is in place for 0%{?rhel} > 6 - note there is no >= 6.
Comment 5 errata-xmlrpc 2014-10-14 04:08:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1389.html

Note You need to log in before you can comment on or make changes to this bug.